<div class="accordion" id="secoAdessoAccordion">
  <div class="card">
    <div class="card-header">
      <h2 class="mb-0">
        <button
          class="btn btn-link"
          type="button"
          data-toggle="collapse"
          data-target="#secoAdessoStepOne"
          aria-expanded="true"
          aria-controls="secoAdessoStepOne"
        >
          Step 1: Jira SECO Login
        </button>
      </h2>
    </div>
    <div
      id="secoAdessoStepOne"
      class="collapse show"
      data-parent="#secoAdessoAccordion"
    >
      <div class="card-body">
        <app-login
          defaultHost=""
          defaultUsername=""
          defaultPassword=""
          (onLogin)="setExportLogin($event)"
          (onLogout)="setExportLogin($event)"
        ></app-login>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-header">
      <h2 class="mb-0">
        <button
          class="btn btn-link collapsed"
          type="button"
          data-toggle="collapse"
          data-target="#secoAdessoStepTwo"
          aria-expanded="false"
          aria-controls="secoAdessoStepTwo"
        >
          Step 2: Select Jira SECO export
        </button>
      </h2>
    </div>
    <div
      id="secoAdessoStepTwo"
      class="collapse"
      data-parent="#secoAdessoAccordion"
    >
      <div class="card-body">
        <div class="custom-file">
          <input
            type="file"
            class="custom-file-input"
            id="inputFile"
            (change)="handleFileInput($event.target.files)"
            accept=".xlsx, .xls, .csv, .json"
          />
          <label class="custom-file-label" for="inputFile">
            {{
              importer.getExportFile()
                ? importer.getExportFile().name
                : "Choose file"
            }}
          </label>
        </div>
      </div>
    </div>
  </div>
  <div class="card">
    <div class="card-header">
      <h2 class="mb-0">
        <button
          class="btn btn-link collapsed"
          type="button"
          data-toggle="collapse"
          data-target="#secoAdessoStepThree"
          aria-expanded="false"
          aria-controls="secoAdessoStepThree"
        >
          Step 3: Jira adesso Login
        </button>
      </h2>
    </div>
    <div
      id="secoAdessoStepThree"
      class="collapse"
      data-parent="#secoAdessoAccordion"
    >
      <div class="card-body">
        <app-login
          defaultHost=""
          defaultUsername=""
          defaultPassword=""
          (onLogin)="setImportLogin($event)"
          (onLogout)="setImportLogin($event)"
        ></app-login>
      </div>
    </div>
  </div>
</div>
